#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE knewstickerstub.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR knewsticker-desktops
)


##### knewstickerstub (executable) ##############

tde_add_executable( knewstickerstub AUTOMOC
  SOURCES knewstickerstub.cpp
  LINK knewstickercommon-static tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
